---
search:
  tags:
    - Attribute Templates
    - GET
seo:
  description: >-
    Retrieves all attribute templates for the current application… Reference for
    the GET /api/v1/{team_slug}/{app_slug}/attributes endpoint in the Management
    API.
sidebar:
  label: List attribute templates
  badge: GET
title: List attribute templates
type: openapi-operation
---
Retrieves all attribute templates for the current application including their field definitions and associated attributes. Supports pagination, filtering by resources, searching, and sorting.

`GET /api/v1/{team_slug}/{app_slug}/attributes`

**Responses**

- `200` — Attributes templates and corresponding attributes
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "attributes": [
        {
          "created_at": "string",
          "description": "string",
          "filterable": true,
          "id": "string",
          "key": "string",
          "name": "string",
          "template_key": "string",
          "template_name": "string",
          "translatable": true,
          "translations": {
            "description": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ],
            "name": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "updated_at": "string",
          "values": {
            "property1": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            },
            "property2": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            }
          }
        }
      ],
      "created_at": "string",
      "fields": [
        {
          "created_at": "string",
          "id": "string",
          "key": "string",
          "name": "string",
          "type": "string",
          "updated_at": "string"
        }
      ],
      "filterable": true,
      "id": "string",
      "key": "string",
      "name": "string",
      "resources": [
        "string"
      ],
      "translatable": true,
      "type": "string",
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
